Apis::V4::Auth API

Login with client token

Parameters

Name Description
provider Service Type (google, facebook, thekey)
code One-time auth code/service ticket from the service
fb_access_token fb access token
okta_access_token okta access token
client_token A token previously used for anonymous logic. This token can only be used once to promote an anonymous user to a verified user, after that you must force users through a regular login flow.
first_name User provided first name (required if creating client token login flow)
last_name User provided last name

Response Fields

Name Description
token MH JSON Web Token that will contain a user_id and an expires at
first_name User's first name
last_name User's last name
person_id User's person id
profile_image_url User's profile image
thekey_uid User's UID for TheKey.me

Request

Headers

Version: HTTP/1.0
Accept: application/json
Content-Type: application/json
Host: example.org
Cookie: 

Route

POST /apis/v4/auth/client_token

Body

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
Vary: Accept
ETag: W/"c2265d6df24241d1d4d14c6f09af596a"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: f9d5cd61-3b18-4016-9288-a14a3d8de793
X-Runtime: 0.059392
Content-Length: 259

Status

200

Body